org.apache.jmeter.report.core

## Class CsvFile

- java.lang.Object
- - java.io.File
  - - org.apache.jmeter.report.core.CsvFile

All Implemented Interfaces:
  Serializable, Comparable<File>

    public class CsvFile
    extends File

Represents a CSV file

Basically holds the CSV separator

Since:
  3.0
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.io.File

`pathSeparator, pathSeparatorChar, separatorChar`

### Constructor Summary

Constructors
Constructor and Description
`CsvFile()` Deprecated. UNIT TEST ONLY
`CsvFile(File parent, String child, char separator)`
`CsvFile(String pathname, char separator)`
`CsvFile(String parent, String child, char separator)`
`CsvFile(URI uri, char separator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `getSeparator()`

### Methods inherited from class java.io.File

`canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toPath, toString, toURI, toURL`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CsvFile

    public CsvFile(File parent,
                   String child,
                   char separator)

#### CsvFile

    public CsvFile(String parent,
                   String child,
                   char separator)

#### CsvFile

    public CsvFile(String pathname,
                   char separator)

#### CsvFile

    public CsvFile(URI uri,
                   char separator)

#### CsvFile

    @Deprecated
    public CsvFile()

Deprecated. UNIT TEST ONLY
DO NOT USE - UNIT TEST ONLY

### Method Detail

#### getSeparator

    public char getSeparator()